Skip to Content
veriom

Get SCIM overview

SCIM base URL, provisioning tokens, last sync, and groups with their roles.

GET
/v1/workspaces/{workspace_id}/identity/scim

SCIM base URL, provisioning tokens, last sync, and groups with their roles.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
base_url*Base Url

SCIM base URL to configure in the identity provider.

groups*array<>
last_sync_at*|

Most recent request from any token.

tokens*array<>
users_active*Users Active
users_provisioned*Users Provisioned
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/identity/scim'
Example Response
{  "base_url": "string",  "groups": [    {      "display_name": "string",      "external_id": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "member_count": 0,      "role": "viewer",      "updated_at": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "last_sync_at": "2019-08-24T14:15:22Z",  "tokens": [    {      "created_at": "2019-08-24T14:15:22Z",      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "last_used_at": "2019-08-24T14:15:22Z",      "name": "string",      "prefix": "string",      "revoked_at": "2019-08-24T14:15:22Z"    }  ],  "users_active": 0,  "users_provisioned": 0}